diff -ur -x BUILD* -x *.log -x *.o -x Make* -x config* -x *.in -x include -x *.*o -x man -x scripts -x libtool -x *warnings -x *.la -x .libs -x rebuildLib* -x TestScript kaffe/libraries/javalib/java/awt/Container.java patched-kaffe/libraries/javalib/java/awt/Container.java
--- kaffe/libraries/javalib/java/awt/Container.java	Fri Nov 23 00:38:05 2001
+++ patched-kaffe/libraries/javalib/java/awt/Container.java	Sat Mar  2 09:43:36 2002
@@ -463,6 +463,10 @@
 	}
 }
 
+protected String paramString() {
+    return super.paramString() + ",layout=" + getLayout().getClass().getName();
+}
+
 /**
  * @deprecated, use getPreferredSize().
  */
diff -ur -x BUILD* -x *.log -x *.o -x Make* -x config* -x *.in -x include -x *.*o -x man -x scripts -x libtool -x *warnings -x *.la -x .libs -x rebuildLib* -x TestScript kaffe/libraries/javalib/java/awt/Frame.java patched-kaffe/libraries/javalib/java/awt/Frame.java
--- kaffe/libraries/javalib/java/awt/Frame.java	Wed Dec 19 23:21:34 2001
+++ patched-kaffe/libraries/javalib/java/awt/Frame.java	Fri Mar  1 17:05:59 2002
@@ -22,6 +22,7 @@
 	static Insets frameInsets;
 	static Insets menuFrameInsets;
 	static Rectangle frameDeco;
+	private static int counter;
 	final private static long serialVersionUID = 2673458971256075116L;
 	final public static int CROSSHAIR_CURSOR = Cursor.CROSSHAIR_CURSOR;
 	final public static int DEFAULT_CURSOR = Cursor.DEFAULT_CURSOR;
@@ -61,6 +62,7 @@
 	flags |= IS_RESIZABLE;
 	this.title = (title == null) ? "" : title;	
 	deco = frameDeco;
+	setName("frame" + counter++);
 }
 
 public Frame ( String title ) {
@@ -177,6 +179,10 @@
 			}
 		}
 //}
+}
+
+protected String paramString() {
+	return super.paramString() + (isResizable() ? ",resizable" : ",fixed") + ",title=" + getTitle();
 }
 
 /**
diff -ur -x BUILD* -x *.log -x *.o -x Make* -x config* -x *.in -x include -x *.*o -x man -x scripts -x libtool -x *warnings -x *.la -x .libs -x rebuildLib* -x TestScript kaffe/libraries/javalib/java/awt/Toolkit.java patched-kaffe/libraries/javalib/java/awt/Toolkit.java
--- kaffe/libraries/javalib/java/awt/Toolkit.java	Wed Dec 19 23:21:34 2001
+++ patched-kaffe/libraries/javalib/java/awt/Toolkit.java	Fri Mar  1 15:16:44 2002
@@ -384,6 +384,10 @@
 	return null;
 }
 
+public int getScreenResolution() {
+	return resolution;
+}
+
 public Dimension getScreenSize () {
 	return screenSize;
 }
diff -ur -x BUILD* -x *.log -x *.o -x Make* -x config* -x *.in -x include -x *.*o -x man -x scripts -x libtool -x *warnings -x *.la -x .libs -x rebuildLib* -x TestScript kaffe/libraries/javalib/java/awt/widgets/Checkbox.java patched-kaffe/libraries/javalib/java/awt/widgets/Checkbox.java
--- kaffe/libraries/javalib/java/awt/widgets/Checkbox.java	Wed Jan  5 01:00:42 2000
+++ patched-kaffe/libraries/javalib/java/awt/widgets/Checkbox.java	Fri Mar  1 16:39:24 2002
@@ -27,6 +27,8 @@
 	int state;
 	String label;
 	ItemListener iListener;
+
+	public static int counter;
 	static int CHECKED = 1;
 	static int HILIGHTED = 2;
 
@@ -50,9 +52,10 @@
 	this.label = (label == null) ? "" : label;
 	setCheckboxGroup( group);
 	setState( state);
-	
+	setName("checkbox" + counter++);
+
 	setForeground( Color.black);
	setFont( Defaults.TextFont);
 	addMouseListener( this);
 	addFocusListener( this);
 	addKeyListener( this);
@@ -207,7 +210,7 @@
 }
 
 protected String paramString() {
-	return super.paramString();
+	return super.paramString() + ",label=" + label + ",state=" + getState();
 }
 
 /** 

